{include file='header' pageTitle='wbb.acp.board.'|concat:$action}

{*if $action == 'add'}{assign var=dataPermission value="admin.board.canAddBoard"}
{else}{assign var=dataPermission value="admin.board.canEditBoard"}
{/if*}

{include file='aclPermissions'}
<script data-relocate="true">
	//<![CDATA[
	$(function() {
		WCF.TabMenu.init();
		
		// i18n for title and description
		var $availableLanguages = { {implode from=$availableLanguages key=languageID item=languageName}{@$languageID}: '{$languageName}'{/implode} };
		var $optionValuesDescription = { {implode from=$i18nValues[description] key=languageID item=value}'{@$languageID}': '{$value}'{/implode} };
		var $optionValuesTitle = { {implode from=$i18nValues[title] key=languageID item=value}'{@$languageID}': '{$value}'{/implode} };
		new WCF.MultipleLanguageInput('description', false, $optionValuesDescription, $availableLanguages);
		new WCF.MultipleLanguageInput('title', false, $optionValuesTitle, $availableLanguages);
		
		$('#boardTypeContainer input[type=radio]').change(function(event) {
			toggleContainers($(event.currentTarget).attr('value'));
		});
		
		function toggleContainers(boardType) {
			boardType = parseInt(boardType);
			
			switch (boardType) {
				case 0:
					$('#externalURLContainer').hide();
					$('#propertiesContainer, #filterContainer, #styleContainer').show();
				break;
				
				case 1:
					$('#externalURLContainer, #propertiesContainer, #filterContainer, #styleContainer').hide();
				break;
				
				case 2:
					$('#externalURLContainer').show();
					$('#propertiesContainer, #filterContainer, #styleContainer').hide();
				break;
			}
		}
		
		// set board type on init
		toggleContainers({@$boardType});
	});
	//]]>
</script>

{if $boardID|isset}
	{include file='aclPermissionJavaScript' containerID='userPermissionsContainer' categoryName='user.*' objectID=$boardID}
	{include file='aclPermissionJavaScript' containerID='moderatorPermissionsContainer' categoryName='mod.*' objectID=$boardID includeUserGroups=false}
{else}
	{include file='aclPermissionJavaScript' containerID='userPermissionsContainer' categoryName='user.*'}
	{include file='aclPermissionJavaScript' containerID='moderatorPermissionsContainer' categoryName='mod.*' includeUserGroups=false}
{/if}

<header class="boxHeadline">
	<h1>{lang}wbb.acp.board.{$action}{/lang}</h1>
</header>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

<div class="contentNavigation">
	<nav>
		<ul>
			<li><a href="{link application='wbb' controller='BoardList'}{/link}" class="button"><span class="icon icon16 icon-list"></span> <span>{lang}wbb.acp.menu.link.board.list{/lang}</span></a></li>
			{event name='contentNavigationButtons'}
		</ul>
	</nav>
</div>

<form method="post" action="{if $action == 'add'}{link application='wbb' controller='BoardAdd'}{/link}{else}{link application='wbb' controller='BoardEdit' id=$boardID}{/link}{/if}">
	<div class="tabMenuContainer" data-active="{$activeTabMenuItem}" data-store="activeTabMenuItem">
		<nav class="tabMenu">
			<ul>
				<li><a href="{@$__wcf->getAnchor('general')}">{lang}wbb.acp.board.category.general{/lang}</a></li>
				<li><a href="{@$__wcf->getAnchor('userPermissions')}">{lang}wbb.acp.board.category.userPermissions{/lang}</a></li>
				<li><a href="{@$__wcf->getAnchor('moderatorPermissions')}">{lang}wbb.acp.board.category.moderatorPermissions{/lang}</a></li>
				{event name='tabMenuTabs'}
			</ul>
		</nav>
		
		<div id="general" class="container containerPadding tabMenuContent">
			<fieldset id="boardTypeContainer">
				<legend>{lang}wbb.acp.board.boardType{/lang}</legend>
				
				<dl>
					<dt></dt>
					<dd class="floated">
						<label><input type="radio" name="boardType" value="0"{if $boardType == 0} checked="checked"{/if} /> {lang}wbb.acp.board.boardType.board{/lang}</label>
						<label><input type="radio" name="boardType" value="1"{if $boardType == 1} checked="checked"{/if} /> {lang}wbb.acp.board.boardType.category{/lang}</label>
						<label><input type="radio" name="boardType" value="2"{if $boardType == 2} checked="checked"{/if} /> {lang}wbb.acp.board.boardType.externalLink{/lang}</label>
					</dd>
				</dl>
			</fieldset>
			
			<fieldset>
				<legend>{lang}wcf.global.form.data{/lang}</legend>
				
				<dl{if $errorField == 'title'} class="formError"{/if}>
					<dt><label for="title">{lang}wcf.global.title{/lang}</label></dt>
					<dd>
						<input type="text" id="title" name="title" value="{$i18nPlainValues['title']}" autofocus="autofocus" class="medium" />
						{if $errorField == 'title'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wbb.acp.board.title.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
				
				<dl{if $errorField == 'description'} class="formError"{/if}>
					<dt><label for="description">{lang}wcf.global.description{/lang}</label></dt>
					<dd>
						<textarea id="description" name="description" cols="40" rows="10">{$i18nPlainValues[description]}</textarea>
						{if $errorField == 'description'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wbb.acp.board.description.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
				<dl>
					<dt></dt>
					<dd>
						<label><input type="checkbox" name="descriptionUseHtml" value="1"{if $descriptionUseHtml} checked="checked"{/if} /> {lang}wbb.acp.board.descriptionUseHtml{/lang}</label>
					</dd>
				</dl>
				<dl id="externalURLContainer"{if $errorField == 'externalURL'} class="formError"{/if}>
					<dt><label for="externalURL">{lang}wbb.acp.board.externalURL{/lang}</label></dt>
					<dd>
						<input id="externalURL" type="text" name="externalURL" value="{$externalURL}" class="long" />
						{if $errorField == 'externalURL'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wbb.acp.board.externalURL.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
				
				{event name='dataFields'}
			</fieldset>
			
			<fieldset>
				<legend>{lang}wbb.acp.board.category.position{/lang}</legend>
				
				{hascontent}
					<dl{if $errorField == 'parentID'} class="formError"{/if}>
						<dt><label for="parentID">{lang}wbb.acp.board.parentID{/lang}</label></dt>
						<dd>
							<select name="parentID" id="parentID">
								<option value="0"></option>
								{content}
									{foreach from=$boardNodeList item=boardNode}
										{if !$boardNode->getBoard()->isExternalLink()}
											<option value="{@$boardNode->getBoard()->boardID}"{if $boardNode->getBoard()->boardID == $parentID} selected="selected"{/if}>{if $boardNode->getDepth() > 1}{@"&nbsp;&nbsp;&nbsp;&nbsp;"|str_repeat:($boardNode->getDepth() - 1)}{/if}{$boardNode->getBoard()->title|language}</option>
										{/if}
									{/foreach}
								{/content}
							</select>
							{if $errorField == 'parentID'}
								<small class="innerError">
									{lang}wbb.acp.board.parentID.error.{@$errorType}{/lang}
								</small>
							{/if}
						</dd>
					</dl>
				{/hascontent}
				
				<dl>
					<dt><label for="position">{lang}wbb.acp.board.position{/lang}</label></dt>
					<dd>
						<input type="number" id="position" name="position" value="{if $position}{@$position}{/if}" class="tiny" min="0" />
						<small>{lang}wbb.acp.board.position.description{/lang}</small>
					</dd>
				</dl>
				
				<dl>
					<dt></dt>
					<dd>
						<label><input type="checkbox" name="isInvisible" value="1"{if $isInvisible} checked="checked"{/if} /> {lang}wbb.acp.board.isInvisible{/lang}</label>
						<small>{lang}wbb.acp.board.isInvisible.description{/lang}</small>
					</dd>
				</dl>
				
				{event name='positionFields'}
			</fieldset>
			
			<fieldset id="propertiesContainer">
				<legend>{lang}wbb.acp.board.properties{/lang}</legend>
				
				<dl id="boardTypeContainer">
					<dd>
						<label><input type="checkbox" id="isClosed" name="isClosed" value="1"{if $isClosed} checked="checked"{/if} /> {lang}wbb.acp.board.isClosed{/lang}</label>
						<label><input type="checkbox" id="countUserPosts" name="countUserPosts" value="1"{if $countUserPosts} checked="checked"{/if} /> {lang}wbb.acp.board.countUserPosts{/lang}</label>
						<label><input type="checkbox" id="showSubBoards" name="showSubBoards" value="1"{if $showSubBoards} checked="checked"{/if} /> {lang}wbb.acp.board.showSubBoards{/lang}</label>
						<label><input type="checkbox" id="searchable" name="searchable" value="1"{if $searchable} checked="checked"{/if} /> {lang}wbb.acp.board.searchable{/lang}</label>
						<label><input type="checkbox" id="searchableForSimilarThreads" name="searchableForSimilarThreads" value="1"{if $searchableForSimilarThreads} checked="checked"{/if} /> {lang}wbb.acp.board.searchableForSimilarThreads{/lang}</label>
						{if WBB_MODULE_IGNORE_BOARDS}<label><input type="checkbox" id="ignorable" name="ignorable" value="1"{if $ignorable} checked="checked"{/if} /> {lang}wbb.acp.board.ignorable{/lang}</label>{/if}
						{if WBB_MODULE_THREAD_MARKING_AS_DONE}<label><input type="checkbox" id="enableMarkingAsDone" name="enableMarkingAsDone" value="1"{if $enableMarkingAsDone} checked="checked"{/if} /> {lang}wbb.acp.board.enableMarkingAsDone{/lang}</label>{/if}
						{event name='properties'}
					</dd>
				</dl>
			</fieldset>
			
			<fieldset id="filterContainer">
				<legend>{lang}wbb.acp.board.filter{/lang}</legend>
				
				<dl{if $errorField == 'daysPrune'} class="formError"{/if}>
					<dt>
						<label for="daysPrune">{lang}wbb.board.filterByDate{/lang}</label>
					</dt>
					<dd>
						<select id="daysPrune" name="daysPrune">
							<option value="0"></option>
							{foreach from=$availableDaysPrune item=$item}
								<option value="{@$item}"{if $daysPrune == $item} selected="selected"{/if}>{lang}wbb.board.filterByDate.{@$item}{/lang}</option>
							{/foreach}
						</select>
						{if $errorField == 'daysPrune'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wbb.acp.board.daysPrune.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
				<dl{if $errorField == 'sortField'} class="formError"{/if}>
					<dt>
						<label for="sortField">{lang}wbb.acp.board.sortField{/lang}</label>
					</dt>
					<dd>
						<select id="sortField" name="sortField">
							<option value=""></option>
							<option value="topic"{if $sortField == 'topic'} selected="selected"{/if}>{lang}wbb.thread.topic{/lang}</option>
							<option value="username"{if $sortField == 'username'} selected="selected"{/if}>{lang}wbb.thread.username{/lang}</option>
							<option value="time"{if $sortField == 'time'} selected="selected"{/if}>{lang}wbb.thread.time{/lang}</option>
							<option value="replies"{if $sortField == 'replies'} selected="selected"{/if}>{lang}wbb.thread.replies{/lang}</option>
							{if MODULE_LIKE}<option value="cumulativeLikes"{if $sortField == 'cumulativeLikes'} selected="selected"{/if}>{lang}wcf.like.cumulativeLikes{/lang}</option>{/if}
							<option value="views"{if $sortField == 'views'} selected="selected"{/if}>{lang}wbb.thread.views{/lang}</option>
							<option value="lastPostTime"{if $sortField == 'lastPostTime'} selected="selected"{/if}>{lang}wbb.thread.lastPostTime{/lang}</option>
						</select>
						<select id="sortOrder" name="sortOrder">
							<option value=""></option>
							<option value="ASC"{if $sortOrder == 'ASC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.ascending{/lang}</option>
							<option value="DESC"{if $sortOrder == 'DESC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.descending{/lang}</option>
						</select>
						{if $errorField == 'sortField'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wbb.acp.board.sortField.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
				<dl>
					<dt>
						<label for="postSortOrder">{lang}wbb.acp.board.postSortOrder{/lang}</label>
					</dt>
					<dd>
						<select name="postSortOrder" id="postSortOrder">
							<option value=""></option>
							<option value="ASC"{if $sortOrder == 'ASC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.ascending{/lang}</option>
							<option value="DESC"{if $sortOrder == 'DESC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.descending{/lang}</option>
						</select>
					</dd>
				</dl>
				<dl>
					<dt>
						<label for="threadsPerPage">{lang}wbb.acp.board.threadsPerPage{/lang}</label>
					</dt>
					<dd>
						<input type="number" id="threadsPerPage" name="threadsPerPage" value="{if $threadsPerPage}{@$threadsPerPage}{/if}" class="tiny" min="0" />
					</dd>
				</dl>
				<dl>
					<dt>
						<label for="postsPerPage">{lang}wbb.acp.board.postsPerPage{/lang}</label>
					</dt>
					<dd>
						<input type="number" id="postsPerPage" name="postsPerPage" value="{if $postsPerPage}{@$postsPerPage}{/if}" class="tiny" min="0" />
					</dd>
				</dl>
				
				{event name='filterFields'}
			</fieldset>
			
			<fieldset id="styleContainer">
				<legend>{lang}wbb.acp.board.styleSettings{/lang}</legend>
				
				<dl>
					<dt><label for="styleID">{lang}wbb.acp.board.style{/lang}</label></dt>
					<dd>
						<select id="styleID" name="styleID">
							<option value="0"></option>
							{foreach from=$availableStyles item=style}
								<option value="{@$style->styleID}"{if $style->styleID == $styleID} selected="selected"{/if}>{$style->styleName}</option>
							{/foreach}
						</select>
						<small>{lang}wbb.acp.board.style.description{/lang}</small>
					</dd>
				</dl>
				
				{event name='styleFields'}
			</fieldset>
			
			{event name='generalFieldsets'}
		</div>
		
		<div id="userPermissions" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.board.category.userPermissions{/lang}</legend>
				<dl id="userPermissionsContainer">
					<dt>{lang}wcf.acl.permissions{/lang}</dt>
					<dd></dd>
				</dl>
			</fieldset>
		</div>
		
		<div id="moderatorPermissions" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.board.category.moderatorPermissions{/lang}</legend>
				<dl id="moderatorPermissionsContainer">
					<dt>{lang}wcf.acl.user.permissions{/lang}</dt>
					<dd></dd>
				</dl>
			</fieldset>
		</div>
		
		{event name='tabMenuContents'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

{include file='footer'}