{include file='header' pageTitle='wbb.acp.bulkProcessing.thread'}

<script data-relocate="true">
	//<![CDATA[
	$(function() {
		WCF.TabMenu.init();
		
		$('#actionOptions input[type=radio]').change(function(event) {
			var $target = $(event.currentTarget);
			if ($target.val() == 'move') $('#moveToSettings').show();
			else $('#moveToSettings').hide();
		});
		{if $action != 'move'}$('#moveToSettings').hide();{/if}
	});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wbb.acp.bulkProcessing.thread{/lang}</h1>
</header>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $affectedThreads|isset}
	<p class="success">{lang}wbb.acp.bulkProcessing.thread.success{/lang}</p>
{/if}

<p class="warning">{lang}wbb.acp.bulkProcessing.thread.warning{/lang}</p>

{hascontent}
	<div class="contentNavigation">
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtons'}
				{/content}
			</ul>
		</nav>
	</div>
{/hascontent}

<form method="post" action="{link application='wbb' controller='ThreadBulkProcessing'}{/link}">
	<div class="tabMenuContainer" data-active="{$activeTabMenuItem}" data-store="activeTabMenuItem">
		<nav class="tabMenu">
			<ul>
				<li><a href="{@$__wcf->getAnchor('conditions')}">{lang}wbb.acp.bulkProcessing.conditions{/lang}</a></li>
				<li><a href="{@$__wcf->getAnchor('action')}">{lang}wbb.acp.bulkProcessing.action{/lang}</a></li>
				{event name='tabMenuTabs'}
			</ul>
		</nav>
		
		<div id="conditions" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.conditions{/lang}</legend>
				
				<dl>
					<dt><label for="timeAfter">{lang}wbb.acp.bulkProcessing.conditions.time{/lang}</label></dt>
					<dd>
						<input type="date" id="timeAfter" name="timeAfter" value="{$timeAfter}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.after{/lang}" />
						<input type="date" id="timeBefore" name="timeBefore" value="{$timeBefore}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.before{/lang}" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="lastPostTimeAfter">{lang}wbb.acp.bulkProcessing.conditions.lastPostTime{/lang}</label></dt>
					<dd>
						<input type="date" id="lastPostTimeAfter" name="lastPostTimeAfter" value="{$lastPostTimeAfter}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.after{/lang}" />
						<input type="date" id="lastPostTimeBefore" name="lastPostTimeBefore" value="{$lastPostTimeBefore}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.before{/lang}" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="createdBy">{lang}wbb.acp.bulkProcessing.conditions.createdBy{/lang}</label></dt>
					<dd>
						<input type="text" id="createdBy" name="createdBy" value="{$createdBy}" class="long" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="repliesLessThan">{lang}wbb.acp.bulkProcessing.conditions.repliesLessThan{/lang}</label></dt>
					<dd>
						<input type="number" id="repliesLessThan" name="repliesLessThan" value="{$repliesLessThan}" class="tiny" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="repliesMoreThan">{lang}wbb.acp.bulkProcessing.conditions.repliesMoreThan{/lang}</label></dt>
					<dd>
						<input type="number" id="repliesMoreThan" name="repliesMoreThan" value="{$repliesMoreThan}" class="tiny" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="boardIDs">{lang}wbb.acp.bulkProcessing.conditions.boards{/lang}</label></dt>
					<dd>
						<select name="boardIDs[]" id="boardIDs" multiple="multiple" size="10">
							{foreach from=$boardNodeList item=boardNode}
								<option value="{@$boardNode->getBoard()->boardID}"{if $boardNode->getBoard()->boardID|in_array:$boardIDs} selected="selected"{/if}>{if $boardNode->getDepth() > 1}{@'&nbsp;&nbsp;&nbsp;&nbsp;'|str_repeat:-1+$boardNode->getDepth()}{/if}{$boardNode->getBoard()->title|language}</option>
							{/foreach}
						</select>
						<small>{lang}wcf.global.multiSelect{/lang}</small>
					</dd>
				</dl>
				
				{if $languages|count > 1}
					<dl>
						<dt><label for="languageIDs">{lang}wbb.acp.bulkProcessing.conditions.languageIDs{/lang}</label></dt>
						<dd>
							<select name="languageIDs" id="languageIDs" multiple="multiple" size="5">
								{foreach from=$languages item=language}
									<option value="{@$language->languageID}"{if $language->languageID|in_array:$languageIDs} selected="selected"{/if}>{$language->languageName}</option>
								{/foreach}
							</select>
							<small>{lang}wcf.global.multiSelect{/lang}</small>
						</dd>
					</dl>
				{/if}
				
				{event name='conditionFields'}
			</fieldset>
			
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.conditions.states{/lang}</legend>
				
				<dl>
					<dt></dt>
					<dd>
						<label><input type="checkbox" name="deleted" value="1" {if $deleted == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.deleted{/lang}</label>
						<label><input type="checkbox" name="notDeleted" value="1" {if $notDeleted == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.notDeleted{/lang}</label>
						<label><input type="checkbox" name="disabled" value="1" {if $disabled == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.disabled{/lang}</label>
						<label><input type="checkbox" name="notDisabled" value="1" {if $notDisabled == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.notDisabled{/lang}</label>
						<label><input type="checkbox" name="closed" value="1" {if $closed == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.closed{/lang}</label>
						<label><input type="checkbox" name="open" value="1" {if $open == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.open{/lang}</label>
						<label><input type="checkbox" name="redirect" value="1" {if $redirect == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.redirect{/lang}</label>
						<label><input type="checkbox" name="notRedirect" value="1" {if $notRedirect == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.notRedirect{/lang}</label>
						
						{if WBB_MODULE_THREAD_MARKING_AS_DONE}
							<label><input type="checkbox" name="done" value="1" {if $done == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.done{/lang}</label>
							<label><input type="checkbox" name="undone" value="1" {if $undone == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.undone{/lang}</label>
						{/if}
						
						<label><input type="checkbox" name="announcement" value="1" {if $announcement == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.announcement{/lang}</label>
						<label><input type="checkbox" name="sticky" value="1" {if $sticky == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.sticky{/lang}</label>
						<label><input type="checkbox" name="normal" value="1" {if $normal == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.normal{/lang}</label>
					</dd>
				</dl>
				
				{event name='stateFields'}
			</fieldset>
		</div>
		
		<div id="action" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.action{/lang}</legend>
				
				<dl id="actionOptions"{if $errorField == 'action'} class="formError"{/if}>
					<dd>
						<label><input type="radio" name="action" value="move" {if $action == 'move'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.move{/lang}</label>
						<label><input type="radio" name="action" value="trash" {if $action == 'trash'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.trash{/lang}</label>
						<label><input type="radio" name="action" value="delete" {if $action == 'delete'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.delete{/lang}</label>
						<label><input type="radio" name="action" value="restore" {if $action == 'restore'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.restore{/lang}</label>
						<label><input type="radio" name="action" value="disable" {if $action == 'disable'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.disable{/lang}</label>
						<label><input type="radio" name="action" value="enable" {if $action == 'enable'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.enable{/lang}</label>
						<label><input type="radio" name="action" value="close" {if $action == 'close'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.close{/lang}</label>
						<label><input type="radio" name="action" value="open" {if $action == 'open'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.open{/lang}</label>
						<label><input type="radio" name="action" value="removeLink" {if $action == 'removeLink'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.deleteLinks{/lang}</label>
						<label><input type="radio" name="action" value="markAsDone" {if $action == 'markAsDone'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.markAsDone{/lang}</label>
						
						{event name='actions'}
						
						{if $errorField == 'action'}
							<small class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.form.error.empty{/lang}{/if}
							</small>
						{/if}
					</dd>
				</dl>
				
				{event name='actionFields'}
			</fieldset>
			
			<fieldset id="moveToSettings">
				<legend>{lang}wbb.acp.bulkProcessing.action.moveTo{/lang}</legend>
				
				<dl{if $errorField == 'moveTo'} class="formError"{/if}>
					<dt><label for="moveTo">{lang}wbb.acp.bulkProcessing.action.moveTo{/lang}</label></dt>
					<dd>
						<select name="moveTo" id="moveTo">
							<option value="0"></option>
							{foreach from=$boardNodeList item=boardNode}
								{if !$boardNode->getBoard()->isExternalLink()}
									<option value="{@$boardNode->getBoard()->boardID}"{if $boardNode->getBoard()->isCategory()} disabled="disabled"{elseif $boardNode->getBoard()->boardID == $moveTo} selected="selected"{/if}>{if $boardNode->getDepth() > 1}{@"&nbsp;&nbsp;&nbsp;&nbsp;"|str_repeat:($boardNode->getDepth() - 1)}{/if}{$boardNode->getBoard()->title|language}</option>
								{/if}
							{/foreach}
						</select>
						
						{if $errorField == 'moveTo'}
							<small class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.form.error.empty{/lang}{/if}
							</small>
						{/if}
					</dd>
				</dl>
				
				{event name='actionFields'}
			</fieldset>
		</div>
		
		{event name='tabMenuContents'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

{include file='footer'}